# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

NAVMAP_VERSION="3.0.16"
NAVMAP_FILENAME="LittleNavmap-linux-ubuntu-22.04-${NAVMAP_VERSION}"

DESCRIPTION="X-Plane plugin that allows to use Little Navmap as a
moving map when flying"
HOMEPAGE="https://github.com/albar965/littlexpconnect"
SRC_URI="https://github.com/albar965/littlenavmap/releases/download/v${NAVMAP_VERSION}/${NAVMAP_FILENAME}.tar.xz"

RESTRICT="mirror"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="games-simulation/littlenavmap"
RDEPEND="${DEPEND}"
BDEPEND=""

S="${WORKDIR}/${NAVMAP_FILENAME}"

src_install() {
	insinto "/opt/Little Navmap"
	doins -r "Little Xpconnect"
}
