# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit unpacker

DESCRIPTION="Latest version of Threema Desktop App"
HOMEPAGE="https://threema.ch"
SRC_URI="https://releases.threema.ch/web-electron/v1/release/Threema-Latest.deb"

S="${WORKDIR}"

RESTRICT="mirror"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_install() {
	insinto /opt
	doins -r usr/lib/threema
	fperms a+x /opt/threema/threema-web

	dodir /opt/bin
	dosym ../threema/threema-web /opt/bin/threema

	insinto /usr/share
	doins -r usr/share/applications
	doins -r usr/share/icons
	dodoc -r usr/share/doc/threema/*
}
